package com.tofly.base.service.handler;

/**
 * 制水成本任务提醒
 * @author FlashWJL
 * @date 2021/5/31 10:21
 */
public interface MessageRemind {

    /**
     * 每月调整实际单价
     * @return
     */
    boolean monthMessagePrice() throws Exception;

    /**
     * 每天填写实际制水量
     * @return
     */
    boolean dayMessagePodWater() throws Exception;

    /**
     * 财务填报每月提醒
     * @return boolean
     */
    boolean financeIsAllowed() throws  Exception;

    /**
     * 夜间最小流量报警
     * @return boolean
     */
    boolean minFlowWarn() throws  Exception;

    /**
     * 每日推送水表周检个数
     * @return
     */
    boolean getShouldZjCount();
}
